Subject: [alpine-aports] [PATCH] testing/s6-networking: new aport

From: John Regan <[email-masked]>
Date: Wed, 25 Feb 2015 14:45:06 -0500

---
 testing/s6-networking/APKBUILD | 49 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
 create mode 100644 testing/s6-networking/APKBUILD

diff --git a/testing/s6-networking/APKBUILD b/testing/s6-networking/APKBUILD
new file mode 100644
index 0000000..bd13fac
--- /dev/null
+++ b/testing/s6-networking/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: John Regan <[email-masked]>
+# Maintainer: John Regan <[email-masked]>
+pkgname=s6-networking
+pkgver=2.1.0.0
+pkgrel=0
+pkgdesc="skarnet.org's UCSPI Unix and TCP tools, access control tools, and network time management utilities."
+url="http://skarnet.org/software/$pkgname/"
+arch="all"
+license="ISC"
+depends="skalibs execline s6 s6-dns"
+depends_dev="skalibs-dev execline-dev s6-dev s6-dns-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--enable-shared \
+		--enable-static \
+		--disable-allstatic \
+		--prefix=/usr \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="bd5654aa9b2c1a2449a454fc13a33f0c  s6-networking-2.1.0.0.tar.gz"
+sha256sums="be75bddad884287c442900e10417c63980788ca1c5bae4188b64b375efba734d  s6-networking-2.1.0.0.tar.gz"
+sha512sums="10cf5c1512d69cdb5d6750441e91e7cab9b696f53d51ba070dac82d127bd731fdfabdf1cbf610307f4808247e2a58bc388dbd95ef45db61d4b59d1cfb7be2b10  s6-networking-2.1.0.0.tar.gz"
-- 
2.2.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---